textures/future/night_skybox
{
	qer_editorimage textures/future/env/nightsky_ft.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 4 3 3 65 290 75
	q3map_surfacelight 100 

	skyparms textures/future/env/nightsky - -
} 

textures/future/day_skybox
{
	qer_editorimage textures/future/env/daysky_ft.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 .8 200 290 89
	q3map_skylight 30 4

	//q3map_surfacelight 500 
	//q3map_globaltexture
	//q3map_lightsubdivide 512
	
	skyparms textures/future/env/daysky - -
} 

textures/future/day_skybox_near
{
	qer_editorimage textures/future/env/daysky_ft.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 .8 100 290 90
	q3map_surfacelight 50 
	q3map_globaltexture
	q3map_lightsubdivide 512

	skyparms textures/future/env/daysky - -
} 

textures/future/wood_railing
{
	qer_editor_image textures/future/wood_railing.tga
	qer_trans 0.9	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/future/wood_railing.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/future/rail
{
	qer_editor_image textures/future/rail.tga
	qer_trans 0.9	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/future/rail.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/future/grate1
{
	qer_editor_image textures/future/grate1.tga
	qer_trans 0.9	
	surfaceparm alphashadow
	nopicmip
	cull disable
	
	{
		map textures/future/grate1.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/future/grate1_stair
{
	qer_editor_image textures/future/grate1_stair.tga
	qer_trans 0.9	
	surfaceparm alphashadow
	nopicmip
	cull disable
	
	{
		map textures/future/grate1_stair.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/future/grate1_riser
{
	qer_editor_image textures/future/grate1_riser.tga
	qer_trans 0.9	
	surfaceparm alphashadow
	nopicmip
	cull disable
	
	{
		map textures/future/grate1_riser.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/future/clg_light
{
	qer_editorimage textures/future/clg_light.jpg
	q3map_surfacelight 1300

	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/future/clg_light.jpg
		rgbGen identity
	}
}

textures/future/clg_light2
{
	qer_editorimage textures/future/clg_light2.jpg
	q3map_surfacelight 2000

	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/future/clg_light2.jpg
		rgbGen identity
	}
}

textures/future/glass_building3i
{
	surfaceparm nomarks
	q3map_surfacelight 200
	qer_editorimage textures/future/glass_building3i.tga
	{
		map textures/future/glass_building3i.tga
		rgbGen identity
	}
	{
		map textures/effects/tinfx2c.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/future/glass_building3i.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}


textures/future/chrome_metal
{
	qer_editorimage textures/base_wall/chrome_env.tga
	surfaceparm nonsolid

	{
		map textures/base_wall/chrome_env.tga
		tcGen environment
		tcmod scale .25 .25 
	}

	{
		map textures/base_wall/chrome_metal.tga
		blendFunc GL_ONE GL_ONE
		detail
        	tcMod scale 0.0693 0.0712
		rgbGen identity
	}


	{
		map $lightmap
                rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/future/glass_building3
{
	qer_editorimage textures/future/glass_building3.tga
	q3map_surfacelight 200
	surfaceparm nomarks
	{
		map textures/future/glass_building3.tga
		rgbgen identity
	}
	{
		map textures/effects/tinfx2c.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/future/glass_building3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/future/glass_tint
{
	qer_editorimage textures/effects/tinfx2c.tga
	surfaceparm trans
	qer_trans 0.5

	{
		map textures/future/tint.jpg
		blendfunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/effects/tinfx2c.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbgen identity
	}
}


textures/future/fake_fog
{
	qer_editor_image textures/future/fake_fog.jpg
	qer_trans 0.40	
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull disable
	
	{
		map textures/future/fake_fog.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/future/fog
{
	qer_editorimage textures/future/fake_fog.jpg
	q3map_surfacelight 25
	q3map_lightsubdivide 64
	q3map_lightimage textures/urban_terror3/white.tga

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	qer_nocarve
	fogparms ( 1 1 1 ) 500
}

textures/invis/calm_river
	{
		qer_editorimage textures/liquids/pool3d_3c.jpg
		qer_trans .9
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water            
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/liquids/pool3d_5c.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6c.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3c.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}

textures/thorn/water_fall
	{
		qer_editorimage textures/liquids/pool3d_3c_fall.jpg
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water            
	
		cull disable
		{ 
			map textures/liquids/pool3d_5c.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll 0 -1
		}
	
		{ 
			map textures/liquids/pool3d_6c.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll 0 -1
		}

		{ 
			map textures/liquids/pool3d_3c.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll 0 -1
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}

textures/invis/watercaulk
{
	qer_trans 0.9
	qer_editorimage textures/invis/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}